package com.brilliance.isc.mda.dao;

import com.brilliance.isc.bo.Lme;
import org.apache.ibatis.annotations.Mapper;

import java.util.Collection;
import java.util.List;
import java.util.Map;


@Mapper
public interface LmeMapper {

    int insert(Lme record);

    int insertSelective(Lme record);

    int updateByPrimaryKeySelective(Lme record);

    int updateByPrimaryKey(Lme record);

    int deleteByPrimaryKey(Lme record);

    int deleteByIds(Collection<Object> collection);

    Lme selectByPrimaryKey(Lme record);

    int dyncDelete(Map<String,Object> dyncMap);

    List<Lme> dyncRead(Map<String,Object> dyncMap);

    String selectInrByLimInr(String liminr);

    List<Lme> selectLmeByLimInr(String liminr);

    int deleteByLiminr(String liminr);
}